# Analytics

![Analytics Intro Image](http://i.imgur.com/QE6VgTa.jpg)

## Why?

The (startup) project we are currently working on relies
heavily on [segment.io](https://segment.io) for tracking
usage.  
While the privacy policy does *clearly* state that we are
collecting usage data, I'm still uncomfortable with
sending it to a 3rd Party... I don't like the idea of *anyone*
having data on how I use something even "*anonymised*".

I've read (and *highly* recommend) the following books on Analytics:
+ **Web Analytics**: An **Hour a Day** (by [***Avinash Kaushik***](http://en.wikipedia.org/wiki/Avinash_Kaushik)):
http://www.amazon.com/Web-Analytics-Hour-Avinash-Kaushik/dp/0470130652
+ **Web Analytics 2.0**: The Art of Online Accountability and Science of Customer Centricity:
http://www.amazon.com/Web-Analytics-2-0-Accountability-Centricity/dp/0470529393
+ **Advanced Web Metrics** with Google Analytics:
http://www.amazon.com/Advanced-Web-Metrics-Google-Analytics/dp/1118168445
+ **Lean Analytics**: Use Data to Build a Better Startup Faster:
http://www.amazon.com/Lean-Analytics-Better-Startup-OReilly/dp/1449335675

(let me know if you want to *borrow* the *paper* copies)

So it got me thinking, **how hard** would it be to do this
*without* sending any data to a 3rd party? #**HowHardCanItBe** :wink:


### Do you *want* to be Tracked?

+ The Murky World of Third Party Web Tracking:
http://www.technologyreview.com/view/530741/the-murky-world-of-third-party-web-tracking/
+ Facebook's Emotions Experiment:
http://www.wired.com/2014/06/everything-you-need-to-know-about-facebooks-manipulative-experiment/
(this is the one that we *heard* about, what aout the *rest*...?)


## What?

> *"**Analytics** is the discovery and communication of meaningful patterns in data*."

If you are completely new to this, read: http://en.wikipedia.org/wiki/Analytics

Google Analytics (GA) is (*by far*) the most popular website stats/tracking platform.
But there are quite a few competitors coming up.

### Competitors to Google Analytics

+ Segment.io (now segment.com):
https://segment.com/tour
+ KissMetrics: https://kissmetrics.com/features
(they have *great* articles e.g: https://blog.kissmetrics.com/single-startup-metric)


### Comparative Articles

+ 14 Alternatives to Google Analytics
http://www.practicalecommerce.com/articles/74832-14-Alternatives-to-Google-Analytics
+ 9 Alternatives to Google Analytics:
http://www.searchenginejournal.com/9-google-analytics-alternatives/92071/
+ http://www.sitepoint.com/5-great-google-analytics-alternatives/
(good list of the downsides of using Google Analytics(GA))
+ OWA, Piwik and Clicky (which has a *free-usage tier* but is *not* OpenSource!) http://www.websitemagazine.com/content/blogs/posts/archive/2013/11/18/3-free-alternatives-to-google-analytics.aspx



### *Open Source* Alternatives

+ **Piwik** (by far the most popular): http://piwik.org/what-is-piwik/
We've used Piwik in the past, the reason we're not considering it now,
is because its made with PHP... https://github.com/piwik/piwik and we want ***real-time*** usage.
+ Open Web Analytics (**OWA**):
http://www.openwebanalytics.com/?page_id=2
+ eAnalytics: http://eanalytics.de/product/eanalytics-web-analytics.html
(never used it. looks ok. but can't find the source without registering...)
+ Parsely.com: https://parsely.com/tour/ + https://github.com/Parsely


# Can we do it *better*?

At the moment this is just a *thought* experiment,
because I/we don't have *time* to build our own analytics/tracking platform.  
But, if I had time to spare, its one of the things I would *love* to try!

## Words

Words we associate with analytics

+ Analytics
+ Usage
+ Events
+ Witness
+ Discover
+ Know
+ Insight
+ Active / Activate
+ Stats
+ Status
+ Real-time
+ [Understand](http://www.thesaurus.com/browse/understand)

## Potential Names

+ Insight.js (*taken*): http://scottlogic.github.io/insight/#/
+ When trying to think of a name for an Analytics platform, I liked the idea of "shedding light" (insight) ... found these guys: https://www.alightanalytics.com/ (well-established)
+ To be continued ...

## Research

+ Analytics with Node.js: http://coenraets.org/blog/2012/10/real-time-web-analytics-with-node-js-and-socket-io/

## *Highly* (further) Recommend Reading

+ Avinash's personal blog: http://www.kaushik.net/avinash/
+ Website for the book: http://www.webanalytics20.com/
+ People don't want to be tracked:
http://www.theverge.com/2013/4/16/4232370/ex-google-ad-engineer-fights-back-against-advertisers-with-anti
+ The word is getting out: http://donttrack.us/
+ Myths about Private Browsing:
http://privatebrowsingmyths.com/
+ Real-time Computing (intro):
http://en.wikipedia.org/wiki/Real-time_computing
(mostly I wanted to fact-check if Real-time could be
  written as a single word or it had to be hyphenated)
+ How do 3rd Party Cookies work:
http://stackoverflow.com/questions/13897472/how-do-third-party-tracking-cookies-work
+ How do advertisers use Cookies:
http://stackoverflow.com/questions/8794981/how-do-internet-advertisers-use-third-party-cookies
