![what's your goal?](http://i.imgur.com/INlB8bq.jpg)

We need a *simple* way of *tracking* if an activity is moving
us towards (or *away* from) our *specific* goal(s).

## Background

### Reading

#### Articles

- 5 Reasons Why You Should Commit Your Goals to Writing (Michael Hyatt):
http://michaelhyatt.com/5-reasons-why-you-should-commit-your-goals-to-writing.html
- Personal Goals: http://en.wikipedia.org/wiki/Goal#Personal_goals
- Goal Setting: http://en.wikipedia.org/wiki/Goal_setting
- Setting Goals: http://www.wikihow.com/Set-Goals
- Beginner’s Guide to Goal Setting: http://michaelhyatt.com/goal-setting.html
- Commit to a **Process** ***not*** a **Goal**: http://www.entrepreneur.com/article/230333  
(good *alternative* perspective on acheiving goals)
- Developing SMART Goals:
http://en.wikipedia.org/wiki/SMART_criteria#Developing_SMART_goals

#### Books

- Goals - Brian Tracy: http://www.amazon.com/Goals-Everything-Faster-Thought-Possible/dp/1605094110
(I *highly* recommend listening to the **audio-book** if
  you "***don't have time***" to read the paper/kindle version)
- S.M.A.R.T. Goals Made Simple - S. J. Scott:
http://www.amazon.co.uk/S-M-R-T-Goals-Made-Simple/dp/1496154061
- The Goal -  Eliyahu M. Goldratt:
 http://en.wikipedia.org/wiki/The_Goal_%28novel%29
 (not specifically relevant to *personal* goals,
   but a good read for organisational goals)


### Video

- **How Will You *Measure* Your Life?**:
http://youtu.be/tvos4nORf_Y
- ***Why*** we do what we do (Tony Robbins):
http://youtu.be/Cpc-t-Uwv1I?t=25s
(*ignore* the Lance Armstrong part half-way in... ;-)
- ***How Bad*** Do You Want It?
http://youtu.be/lsSC2vx7zFQ?t=6s

### Should you keep your goals to yourself...?

> *Watch*
> http://www.ted.com/talks/derek_sivers_keep_your_goals_to_yourself  

Derek Sivers proposes a good *theory* "***Social Reality***"
which states that if you *communicate* your goals with others,
your mind lets *you believe* its *already achieved*
and therefore you are less likely to make the effort
required to *actually* achieve it.

I ***don't agree*** with this ***at all***.
If you don't *share* your goals with anyone  
a) Nobody will *understand* ***why*** (or *what*)
you are trying to achieve/change/improve  
b) You will have **no help/support** to keep you on
track towards your goal.  
c) You will not find like-minded people to *accelerate* your goals!

Think about the
*[WeightWatchers](http://en.wikipedia.org/wiki/Weight_Watchers)*
or
*[Grameen Bank](http://en.wikipedia.org/wiki/Grameen_Bank)*
model of group-accountability:
in both the weight loss and micro-loans *everyone* in the group
knows each other's fitness and financial goals, respectively,
and both are highly successful (and *widely coppied*) models.
have to
Another perfect/plentiful example of people sharing their goals
is Kickstarter where people share their idea/goal -
*complete strangers* fund them - and the whole thing works
precisely because people *follow through* with their announced
goals/plans (i.e. *deliver* what they promise)

You fail to achieve your goal, because you don't "[***want it bad***](http://youtu.be/mgmVOuLgFB0?t=2m14s)".



## What are *My* Goals?

1. Get fit (without physical fitness everything is takes longer!)
2. Track time > https://github.com/nelsonic/time

- - -

Don't take it *too* seriously...

![dilbert stretch goals](http://i.imgur.com/ZWMKveo.png)

![dilbert unspoken objectives](http://i.imgur.com/0qcFrVJ.jpg)

![dilbert goal setting](http://i.imgur.com/Rm8gG41.jpg)
