# Test Driven vs. Behaviour Driven Development

Today I made the [*faux pas*](http://en.wikipedia.org/wiki/Faux_pas) of stating
that TDD and BDD are essentially the same...

Next time this discussion comes up I want to be armed with the facts. ;-)

### What is TDD?

Test-driven development (TDD) is a software development process that relies on 
the repetition of a very short development cycle: first the developer writes 
an (initially failing) automated test case that defines a desired improvement 
or new function, then produces the minimum amount of code to pass that test, 
and finally refactors the new code to acceptable standards. Kent Beck, who is 
credited with having developed or 'rediscovered' the technique, stated in 2003 
that TDD encourages simple designs and inspires confidence

### What is BDD?

Behavior-Driven Development (BDD) is a software development process based 
on test-driven development (TDD). Behavior-driven development combines the 
general techniques and principles of TDD with ideas from domain-driven design 
and object-oriented analysis and design to provide software developers and 
business analysts with shared tools and a shared process to collaborate on 
software development, with the aim of delivering "*software that matters*"

### What is the Differece?

> TBC


### Background / Research

#### *Test* Driven Development

- Wikipedia: http://en.wikipedia.org/wiki/Test-driven_development
- 3 Rules of TDD: http://butunclebob.com/ArticleS.UncleBob.TheThreeRulesOfTdd


#### *Behaviour* Driven Development

- Wikipedia: http://en.wikipedia.org/wiki/Behavior-driven_development
- Say Hello to BDD: http://www.codeproject.com/Articles/148043/Say-Hello-To-Behavior-Driven-Development-BDD-Part
- Long but thorough: http://www.codemag.com/article/0805061
- Dan North's Take on BDD: http://dannorth.net/introducing-bdd/
- From TDD to BDD: http://blog.codeship.io/2013/04/22/from-tdd-to-bdd.html
- Agile Aliance intro to BDD: http://guide.agilealliance.org/guide/bdd.html
- *Many* More Links: http://www.ministryoftesting.com/resources/bdd/

