# Technical Delivery Manager (TDM)?

As you may know, I was recently appointed
([*Interim*](http://en.wikipedia.org/wiki/Interim_management))  
**Technical Delivery Manager** for the **Search Team**.

## *What* does that *mean*?

Some people think of a Technical Delivery Manager as a *type* of **Project Manager**  
this is *partially true* but with a *key diference*: ***Technical Skills & Experience***.

The role of a TDM is more of a **Servant Leader**

A TDM knows that writing code in a team is *not* an exact science,  
having to build on someone else's work is not always easy  
and unforeseen issues always surface during a task/sprint.

I am ***always available*** to help with any technical issues you face  
while completing your development tasks. If you paying the
[technical debt](http://en.wikipedia.org/wiki/Technical_debt)  
of another person I want to know about it *fast* so we can fix it.

If you don't need any help from me (that's *great*!) it frees me to focus  
on my other responsibilities (see below).



## *What* does it *NOT* mean?

I'm not here to
[micro-manage](http://en.wikipedia.org/wiki/Micromanagement),
*watch* or baby-sit anyone.  
If you already know what you are doing and have everything you  
need to get on with it, I will stay out of your way (and help someone else).

## *Why* do Senior Managers want/need TDMs?

At present our CTO & Head of Delivery feel they have ***limited visibility***  
of progress for the development teams. The TDM will ensure your progress  
is *visible* to the senior team. This will mean senior members know your  
name for the *right* reasons and can reward/promote accordingly.

In the next few months we will put in place the process/systems to help each  
person track & communicate their own progress. Once that is in place and  
everyone is *excited* about the future we can all do our ***best work***!


## Does an Agile/Scrum Project need a TDM?

Most people who practice
[Scrum](http://www.scrumguides.org)
feel there is no need for a "Project Manger".  
I agree 100%! I'm not here to "manage" the work or people.  
I'm here to be a [servant leader](http://en.wikipedia.org/wiki/Servant_leadership)
to help everyone be more productive by resolving issues we face.

## TDM's Responsibilities

- **Help** when anyone gets stuck with their development tasks.
- **Clarify technical queries** (Angular.js, Node.js,
  [Ways of Working](https://github.com/ThomasCookOnline/wiki), blockers, etc.)
- **Not interfere** with anyone's work if they are making desired progress.
- **Limit distractions**
- Inform senior managers of your great work and ensure you are rewarded.
- Ensure each member of the team is learning, growing and feels accomplished.

## Your Responsibilities

- Notify TDM when you have blockers or spot issues in existing code.
- Keep writing great quality, tested & performant code.
- Communicate your ideas for improvement in every area of the business.

## Any other Questions?

If you have any other questions, please ***ask***!


## Background Reading

- What is Delivery Management?
http://it.toolbox.com/blogs/delivery-doctor/what-is-delivery-management-10341
- Does Scrum make Project Managers Redundant?
http://www.scottlogic.com/blog/2014/09/10/does-scrum-make-project-managers-redundant.html
- How do Project Managers fit into Scrum?
https://www.scrumalliance.org/community/articles/2012/january/implementing-scrum-how-does-the-project-manager-fi
- Principals of Servant Leadership:
http://www.butler.edu/volunteer/resources/principles-of-servant-leadership/
